com.collabnet.ce.soap60.webservices.rbac

## Class RbacAppSoapMockStub

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.ClientSoapStub
  - - com.collabnet.ce.soap60.webservices.ClientSoapMockStub
    - - com.collabnet.ce.soap60.webservices.rbac.RbacAppSoapMockStub

- All Implemented Interfaces:
    IRbacAppSoap

      public class RbacAppSoapMockStub
      extends com.collabnet.ce.soap60.webservices.ClientSoapMockStub
      implements IRbacAppSoap

- - ### Field Summary

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

      `DATE_WILDCARD, GUIDKEY_WILDCARD, INTEGER_WILDCARD, LONG_WILDCARD, STRING_WILDCARD`

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `DEFAULT_CLIENT_TIME_OUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RbacAppSoapMockStub(String soapServerUrl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCluster(String sessionId, String roleId, String operationCluster, String folderId)` Simulate a call to addCluster
    `void` | `addGroup(String sessionId, String groupId, String roleId, String projectOrProjectGroupId)` Simulate a call to addGroup
    `void` | `addIntegratedApplicationPermission(String sessionId, String roleId, String integratedAppName, String permission)` Simulate a call to addIntegratedApplicationPermission
    `void` | `addRemoveIAPermission(String sessionId, String roleId, String integratedAppName, String permission, boolean addPermission)` Simulate a call to addRemoveIAPermission
    `void` | `addUser(String sessionId, String roleId, String username)` Simulate a call to addUser
    `void` | `addUserToProjectRole(String sessionId, String roleId, String username, String projectOrProjectGroupId)` Simulate a call to addUserToProjectRole
    `void` | `approveRoleRequest(String sessionId, String requestId, String projectId)` Simulate a call to approveRoleRequest
    `List` | `availablePermissions(String plugId, List permissions, com.vasoftware.sf.server.types.ProjectPath projectPath, com.vasoftware.sf.server.types.FolderPath folderPath, com.vasoftware.sf.server.types.PluggableLinkType pluggableLinkType, com.vasoftware.sf.server.types.UserSessionKey sessionKey)` Simulate a call to availablePermissions
    `void` | `checkPermissionBasedOnSideWideOrProjectRole(com.vasoftware.sf.server.services.access.rbac.RoleDO role, com.vasoftware.sf.common.access.rbac.Operation operation, String loggedInUser)` Simulate a call to checkPermissionBasedOnSideWideOrProjectRole
    `void` | `checkSiteWideRolePermission(com.vasoftware.sf.common.access.rbac.Operation operation, String loggedInUser)` Simulate a call to checkSiteWideRolePermission
    `void` | `checkUserActiveStatus(String userName, String loggedInUser)` Simulate a call to checkUserActiveStatus
    `com.vasoftware.sf.server.services.access.rbac.Resource` | `constructResource(String operationCluster, String folderId, String loggedInUser)` Simulate a call to constructResource
    `RoleSoapDO` | `createGlobalRole(String sessionId, String title, String description, boolean preventInheritance, boolean requestable)` Simulate a call to createGlobalRole
    `RoleSoapDO` | `createRole(String sessionId, String projectOrProjectGroupId, String title, String description, boolean preventInheritance, boolean requestable, boolean autoGrant)` Simulate a call to createRole
    `RoleSoapDO` | `createSiteWideRole(String sessionId, String title, String description, boolean preventInheritance)` Simulate a call to createSiteWideRole
    `void` | `deleteRole(String sessionId, String roleId)` Simulate a call to deleteRole
    `String` | `findLinkId(String projectId, String plugId, com.vasoftware.sf.server.types.UserSessionKey sessionKey)` Simulate a call to findLinkId
    `com.vasoftware.sf.server.types.ProjectPath` | `findProjectPath(String projectId, String loggedInUser)` Simulate a call to findProjectPath
    `boolean` | `getAutomaticallyGrantOnRequest(String sessionId, String roleId, String projectId)` Simulate a call to getAutomaticallyGrantOnRequest
    `RoleSoapList` | `getGlobalRoleList(String sessionId)` Simulate a call to getGlobalRoleList
    `RoleSoapList` | `getGlobalRolesForAssignment(String sessionId, String projectOrProjectGroupId)` Simulate a call to getGlobalRolesForAssignment
    `RoleSoapList` | `getGroupRoleList(String sessionId, String groupId, String projectIdOrProjectGroupId)` Simulate a call to getGroupRoleList
    `String` | `getIAPermissionId(String integratedAppName, String permission, String loggedInUser)` Simulate a call to getIAPermissionId
    `List` | `getIAPermissions(String plugId, com.vasoftware.sf.server.types.UserSessionKey sessionKey)` Simulate a call to getIAPermissions
    `RoleSoapList` | `getInheritedRoleList(String sessionId, String projectId)` Simulate a call to getInheritedRoleList
    `com.collabnet.ce.soap60.webservices.rbac.IntegratedAppProjectPermissionSoapList` | `getIntegratedAppPermissions(String sessionId, String[] projectIds, String baseUrl)` Simulate a call to getIntegratedAppPermissions
    `String[]` | `getIntegratedAppPermissionsForProject(String sessionId, String projectId, String linkId)` Simulate a call to getIntegratedAppPermissionsForProject
    `String` | `getLinkId(String projectId, String integratedAppName, String roleId, String loggedInUser)` Simulate a call to getLinkId
    `RoleRequestSoapList` | `getPendingRequestedRoles(String sessionId, String projectId)` Simulate a call to getPendingRequestedRoles
    `UserSoapList` | `getProjectRoleMemberList(String sessionId, String roleId, String projectOrProjectGroupId)` Simulate a call to getProjectRoleMemberList
    `String[]` | `getProjectsByIntegratedAppPermission(String sessionId, String perm, String integratedAppName)` Simulate a call to getProjectsByIntegratedAppPermission
    `ProjectSoapList` | `getProjectsForAction(String sessionId, String operationString, String userName)` Simulate a call to getProjectsForAction
    `RoleSoapDO` | `getRoleData(String sessionId, String roleId)` Simulate a call to getRoleData
    `UserGroupSoapList` | `getRoleGroupList(String sessionId, String roleId)` Simulate a call to getRoleGroupList
    `UserSoapList` | `getRoleGroupUsers(String sessionId, String projectIdOrProjectGroupId, String roleId)` Simulate a call to getRoleGroupUsers
    `RoleSoapList` | `getRoleList(String sessionId, String projectOrProjectGroupId)` Simulate a call to getRoleList
    `UserSoapList` | `getRoleMemberList(String sessionId, String roleId)` Simulate a call to getRoleMemberList
    `RoleSoapList` | `getSiteWideRoleList(String sessionId)` Simulate a call to getSiteWideRoleList
    `RoleSoapList` | `getUserRoleList(String sessionId, String projectOrProjectGroupId, String username)` Simulate a call to getUserRoleList
    `Map` | `getUserRolesMap(UserRolesSoapDO[] userRolesSoapDOs)` Simulate a call to getUserRolesMap
    `RoleSoapList` | `getUserSiteWideRoleList(String sessionId, String username)` Simulate a call to getUserSiteWideRoleList
    `void` | `grantRolesToMembers(String sessionId, UserRolesSoapDO[] userRolesSoapDOs, String projectId)` Simulate a call to grantRolesToMembers
    `RoleCluster2SoapList` | `listClusterForDefaultAccessPermissions(String sessionId, String projectId)` Simulate a call to listClusterForDefaultAccessPermissions
    `RoleClusterSoapList` | `listClusters(String sessionId, String roleId)` Simulate a call to listClusters
    `RoleGroupSoapList` | `listGroupRolesByProject(String sessionId, String projectId)` Simulate a call to listGroupRolesByProject
    `RoleGroupSoapList` | `listGroupRolesByProjectGroup(String sessionId, String projectGroupId)` Simulate a call to listGroupRolesByProjectGroup
    `com.collabnet.ce.soap60.types.SoapNamedValues` | `listRolePaths(String sessionId, String roleId, String repositoryId)` Simulate a call to listRolePaths
    `void` | `prepareAddCluster(String sessionId, String roleId, String operationCluster, String folderId)` Prepare a simulated response to addCluster
    `void` | `prepareAddCluster(String sessionId, String roleId, String operationCluster, String folderId, Exception exception)` Prepare a simulated response to addCluster
    `void` | `prepareAddGroup(String sessionId, String groupId, String roleId, String projectOrProjectGroupId)` Prepare a simulated response to addGroup
    `void` | `prepareAddGroup(String sessionId, String groupId, String roleId, String projectOrProjectGroupId, Exception exception)` Prepare a simulated response to addGroup
    `void` | `prepareAddIntegratedApplicationPermission(String sessionId, String roleId, String integratedAppName, String permission)` Prepare a simulated response to addIntegratedApplicationPermission
    `void` | `prepareAddIntegratedApplicationPermission(String sessionId, String roleId, String integratedAppName, String permission, Exception exception)` Prepare a simulated response to addIntegratedApplicationPermission
    `void` | `prepareAddRemoveIAPermission(String sessionId, String roleId, String integratedAppName, String permission, boolean addPermission)` Prepare a simulated response to addRemoveIAPermission
    `void` | `prepareAddRemoveIAPermission(String sessionId, String roleId, String integratedAppName, String permission, boolean addPermission, Exception exception)` Prepare a simulated response to addRemoveIAPermission
    `void` | `prepareAddUser(String sessionId, String roleId, String username)` Prepare a simulated response to addUser
    `void` | `prepareAddUser(String sessionId, String roleId, String username, Exception exception)` Prepare a simulated response to addUser
    `void` | `prepareAddUserToProjectRole(String sessionId, String roleId, String username, String projectOrProjectGroupId)` Prepare a simulated response to addUserToProjectRole
    `void` | `prepareAddUserToProjectRole(String sessionId, String roleId, String username, String projectOrProjectGroupId, Exception exception)` Prepare a simulated response to addUserToProjectRole
    `void` | `prepareApproveRoleRequest(String sessionId, String requestId, String projectId)` Prepare a simulated response to approveRoleRequest
    `void` | `prepareApproveRoleRequest(String sessionId, String requestId, String projectId, Exception exception)` Prepare a simulated response to approveRoleRequest
    `void` | `prepareAvailablePermissions(String plugId, List permissions, com.vasoftware.sf.server.types.ProjectPath projectPath, com.vasoftware.sf.server.types.FolderPath folderPath, com.vasoftware.sf.server.types.PluggableLinkType pluggableLinkType, com.vasoftware.sf.server.types.UserSessionKey sessionKey, Object returnValue)` Prepare a simulated response to availablePermissions
    `void` | `prepareCheckPermissionBasedOnSideWideOrProjectRole(com.vasoftware.sf.server.services.access.rbac.RoleDO role, com.vasoftware.sf.common.access.rbac.Operation operation, String loggedInUser)` Prepare a simulated response to checkPermissionBasedOnSideWideOrProjectRole
    `void` | `prepareCheckPermissionBasedOnSideWideOrProjectRole(com.vasoftware.sf.server.services.access.rbac.RoleDO role, com.vasoftware.sf.common.access.rbac.Operation operation, String loggedInUser, Exception exception)` Prepare a simulated response to checkPermissionBasedOnSideWideOrProjectRole
    `void` | `prepareCheckSiteWideRolePermission(com.vasoftware.sf.common.access.rbac.Operation operation, String loggedInUser)` Prepare a simulated response to checkSiteWideRolePermission
    `void` | `prepareCheckSiteWideRolePermission(com.vasoftware.sf.common.access.rbac.Operation operation, String loggedInUser, Exception exception)` Prepare a simulated response to checkSiteWideRolePermission
    `void` | `prepareCheckUserActiveStatus(String userName, String loggedInUser)` Prepare a simulated response to checkUserActiveStatus
    `void` | `prepareCheckUserActiveStatus(String userName, String loggedInUser, Exception exception)` Prepare a simulated response to checkUserActiveStatus
    `void` | `prepareConstructResource(String operationCluster, String folderId, String loggedInUser, Object returnValue)` Prepare a simulated response to constructResource
    `void` | `prepareCreateGlobalRole(String sessionId, String title, String description, boolean preventInheritance, boolean requestable, Object returnValue)` Prepare a simulated response to createGlobalRole
    `void` | `prepareCreateRole(String sessionId, String projectOrProjectGroupId, String title, String description, boolean preventInheritance, boolean requestable, boolean autoGrant, Object returnValue)` Prepare a simulated response to createRole
    `void` | `prepareCreateSiteWideRole(String sessionId, String title, String description, boolean preventInheritance, Object returnValue)` Prepare a simulated response to createSiteWideRole
    `void` | `prepareDeleteRole(String sessionId, String roleId)` Prepare a simulated response to deleteRole
    `void` | `prepareDeleteRole(String sessionId, String roleId, Exception exception)` Prepare a simulated response to deleteRole
    `void` | `prepareFindLinkId(String projectId, String plugId, com.vasoftware.sf.server.types.UserSessionKey sessionKey, Object returnValue)` Prepare a simulated response to findLinkId
    `void` | `prepareFindProjectPath(String projectId, String loggedInUser, Object returnValue)` Prepare a simulated response to findProjectPath
    `void` | `prepareGetAutomaticallyGrantOnRequest(String sessionId, String roleId, String projectId, Object returnValue)` Prepare a simulated response to getAutomaticallyGrantOnRequest
    `void` | `prepareGetGlobalRoleList(String sessionId, Object returnValue)` Prepare a simulated response to getGlobalRoleList
    `void` | `prepareGetGlobalRolesForAssignment(String sessionId, String projectOrProjectGroupId, Object returnValue)` Prepare a simulated response to getGlobalRolesForAssignment
    `void` | `prepareGetGroupRoleList(String sessionId, String groupId, String projectIdOrProjectGroupId, Object returnValue)` Prepare a simulated response to getGroupRoleList
    `void` | `prepareGetIAPermissionId(String integratedAppName, String permission, String loggedInUser, Object returnValue)` Prepare a simulated response to getIAPermissionId
    `void` | `prepareGetIAPermissions(String plugId, com.vasoftware.sf.server.types.UserSessionKey sessionKey, Object returnValue)` Prepare a simulated response to getIAPermissions
    `void` | `prepareGetInheritedRoleList(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getInheritedRoleList
    `void` | `prepareGetIntegratedAppPermissions(String sessionId, String[] projectIds, String baseUrl, Object returnValue)` Prepare a simulated response to getIntegratedAppPermissions
    `void` | `prepareGetIntegratedAppPermissionsForProject(String sessionId, String projectId, String linkId, Object returnValue)` Prepare a simulated response to getIntegratedAppPermissionsForProject
    `void` | `prepareGetLinkId(String projectId, String integratedAppName, String roleId, String loggedInUser, Object returnValue)` Prepare a simulated response to getLinkId
    `void` | `prepareGetPendingRequestedRoles(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getPendingRequestedRoles
    `void` | `prepareGetProjectRoleMemberList(String sessionId, String roleId, String projectOrProjectGroupId, Object returnValue)` Prepare a simulated response to getProjectRoleMemberList
    `void` | `prepareGetProjectsByIntegratedAppPermission(String sessionId, String perm, String integratedAppName, Object returnValue)` Prepare a simulated response to getProjectsByIntegratedAppPermission
    `void` | `prepareGetProjectsForAction(String sessionId, String operationString, String userName, Object returnValue)` Prepare a simulated response to getProjectsForAction
    `void` | `prepareGetRoleData(String sessionId, String roleId, Object returnValue)` Prepare a simulated response to getRoleData
    `void` | `prepareGetRoleGroupList(String sessionId, String roleId, Object returnValue)` Prepare a simulated response to getRoleGroupList
    `void` | `prepareGetRoleGroupUsers(String sessionId, String projectIdOrProjectGroupId, String roleId, Object returnValue)` Prepare a simulated response to getRoleGroupUsers
    `void` | `prepareGetRoleList(String sessionId, String projectOrProjectGroupId, Object returnValue)` Prepare a simulated response to getRoleList
    `void` | `prepareGetRoleMemberList(String sessionId, String roleId, Object returnValue)` Prepare a simulated response to getRoleMemberList
    `void` | `prepareGetSiteWideRoleList(String sessionId, Object returnValue)` Prepare a simulated response to getSiteWideRoleList
    `void` | `prepareGetUserRoleList(String sessionId, String projectOrProjectGroupId, String username, Object returnValue)` Prepare a simulated response to getUserRoleList
    `void` | `prepareGetUserRolesMap(UserRolesSoapDO[] userRolesSoapDOs, Object returnValue)` Prepare a simulated response to getUserRolesMap
    `void` | `prepareGetUserSiteWideRoleList(String sessionId, String username, Object returnValue)` Prepare a simulated response to getUserSiteWideRoleList
    `void` | `prepareGrantRolesToMembers(String sessionId, UserRolesSoapDO[] userRolesSoapDOs, String projectId)` Prepare a simulated response to grantRolesToMembers
    `void` | `prepareGrantRolesToMembers(String sessionId, UserRolesSoapDO[] userRolesSoapDOs, String projectId, Exception exception)` Prepare a simulated response to grantRolesToMembers
    `void` | `prepareListClusterForDefaultAccessPermissions(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to listClusterForDefaultAccessPermissions
    `void` | `prepareListClusters(String sessionId, String roleId, Object returnValue)` Prepare a simulated response to listClusters
    `void` | `prepareListGroupRolesByProject(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to listGroupRolesByProject
    `void` | `prepareListGroupRolesByProjectGroup(String sessionId, String projectGroupId, Object returnValue)` Prepare a simulated response to listGroupRolesByProjectGroup
    `void` | `prepareListRolePaths(String sessionId, String roleId, String repositoryId, Object returnValue)` Prepare a simulated response to listRolePaths
    `void` | `prepareRejectRoleRequest(String sessionId, String requestId, String projectId)` Prepare a simulated response to rejectRoleRequest
    `void` | `prepareRejectRoleRequest(String sessionId, String requestId, String projectId, Exception exception)` Prepare a simulated response to rejectRoleRequest
    `void` | `prepareRemoveCluster(String sessionId, String roleId, String operationCluster, String folderId)` Prepare a simulated response to removeCluster
    `void` | `prepareRemoveCluster(String sessionId, String roleId, String operationCluster, String folderId, Exception exception)` Prepare a simulated response to removeCluster
    `void` | `prepareRemoveGroup(String sessionId, String groupId, String roleId, String projectOrProjectGroupId)` Prepare a simulated response to removeGroup
    `void` | `prepareRemoveGroup(String sessionId, String groupId, String roleId, String projectOrProjectGroupId, Exception exception)` Prepare a simulated response to removeGroup
    `void` | `prepareRemoveIntegratedApplicationPermission(String sessionId, String roleId, String integratedAppName, String permission)` Prepare a simulated response to removeIntegratedApplicationPermission
    `void` | `prepareRemoveIntegratedApplicationPermission(String sessionId, String roleId, String integratedAppName, String permission, Exception exception)` Prepare a simulated response to removeIntegratedApplicationPermission
    `void` | `prepareRemoveUser(String sessionId, String roleId, String username)` Prepare a simulated response to removeUser
    `void` | `prepareRemoveUser(String sessionId, String roleId, String username, Exception exception)` Prepare a simulated response to removeUser
    `void` | `prepareRemoveUserFromProjectRole(String sessionId, String roleId, String username, String projectOrProjectGroupId)` Prepare a simulated response to removeUserFromProjectRole
    `void` | `prepareRemoveUserFromProjectRole(String sessionId, String roleId, String username, String projectOrProjectGroupId, Exception exception)` Prepare a simulated response to removeUserFromProjectRole
    `void` | `prepareRequestRole(String sessionId, String roleId, String projectId)` Prepare a simulated response to requestRole
    `void` | `prepareRequestRole(String sessionId, String roleId, String projectId, Exception exception)` Prepare a simulated response to requestRole
    `void` | `prepareRevokeRolesFromMembers(String sessionId, UserRolesSoapDO[] userRolesSoapDOs, String projectId)` Prepare a simulated response to revokeRolesFromMembers
    `void` | `prepareRevokeRolesFromMembers(String sessionId, UserRolesSoapDO[] userRolesSoapDOs, String projectId, Exception exception)` Prepare a simulated response to revokeRolesFromMembers
    `void` | `prepareSetAutomaticallyGrantOnRequest(String sessionId, String roleId, String projectId, boolean autoGrant)` Prepare a simulated response to setAutomaticallyGrantOnRequest
    `void` | `prepareSetAutomaticallyGrantOnRequest(String sessionId, String roleId, String projectId, boolean autoGrant, Exception exception)` Prepare a simulated response to setAutomaticallyGrantOnRequest
    `void` | `prepareSetRoleData(String sessionId, RoleSoapDO roleData)` Prepare a simulated response to setRoleData
    `void` | `prepareSetRoleData(String sessionId, RoleSoapDO roleData, Exception exception)` Prepare a simulated response to setRoleData
    `void` | `prepareSetRolePaths(String sessionId, String roleId, String repositoryId, com.collabnet.ce.soap60.types.SoapNamedValues rolePaths)` Prepare a simulated response to setRolePaths
    `void` | `prepareSetRolePaths(String sessionId, String roleId, String repositoryId, com.collabnet.ce.soap60.types.SoapNamedValues rolePaths, Exception exception)` Prepare a simulated response to setRolePaths
    `void` | `rejectRoleRequest(String sessionId, String requestId, String projectId)` Simulate a call to rejectRoleRequest
    `void` | `removeCluster(String sessionId, String roleId, String operationCluster, String folderId)` Simulate a call to removeCluster
    `void` | `removeGroup(String sessionId, String groupId, String roleId, String projectOrProjectGroupId)` Simulate a call to removeGroup
    `void` | `removeIntegratedApplicationPermission(String sessionId, String roleId, String integratedAppName, String permission)` Simulate a call to removeIntegratedApplicationPermission
    `void` | `removeUser(String sessionId, String roleId, String username)` Simulate a call to removeUser
    `void` | `removeUserFromProjectRole(String sessionId, String roleId, String username, String projectOrProjectGroupId)` Simulate a call to removeUserFromProjectRole
    `void` | `requestRole(String sessionId, String roleId, String projectId)` Simulate a call to requestRole
    `void` | `revokeRolesFromMembers(String sessionId, UserRolesSoapDO[] userRolesSoapDOs, String projectId)` Simulate a call to revokeRolesFromMembers
    `void` | `setAutomaticallyGrantOnRequest(String sessionId, String roleId, String projectId, boolean autoGrant)` Simulate a call to setAutomaticallyGrantOnRequest
    `void` | `setRoleData(String sessionId, RoleSoapDO roleData)` Simulate a call to setRoleData
    `void` | `setRolePaths(String sessionId, String roleId, String repositoryId, com.collabnet.ce.soap60.types.SoapNamedValues rolePaths)` Simulate a call to setRolePaths

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

      `addSimulatedResult, addSimulatedResult, addSimulatedResult, getCallCount, getCallParameters, getUnusedCalls, simulateCall`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `getServiceCall, getSoapServer, getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RbacAppSoapMockStub

          public RbacAppSoapMockStub(String soapServerUrl)

  - ### Method Detail

    - #### prepareCreateRole

          public void prepareCreateRole(String sessionId,
                                        String projectOrProjectGroupId,
                                        String title,
                                        String description,
                                        boolean preventInheritance,
                                        boolean requestable,
                                        boolean autoGrant,
                                        Object returnValue)

      Prepare a simulated response to createRole
      See Also:
        `RbacAppSoap.createRole(java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean)`

    - #### createRole

          public RoleSoapDO createRole(String sessionId,
                                       String projectOrProjectGroupId,
                                       String title,
                                       String description,
                                       boolean preventInheritance,
                                       boolean requestable,
                                       boolean autoGrant)
                                throws RemoteException

      Simulate a call to createRole
      Specified by:
        `createRole` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `projectOrProjectGroupId` - The project /project group Id to create the role in
        `title` - The title of the role
        `description` - A description of the role
        `preventInheritance` - If the role's permission is prevented from applying to private subprojects.
        `requestable` - If the role is available upon request:Only applicable for Project Roles Not for Project Groups.
        `autoGrant` - If the role is granted automatically on request:Only applicable for Project Roles Not for Project Groups.
      Returns:
        The Role2SoapDO that was created
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the projectId is invalid or the created roleId is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - If the role exists with the specified title in the project
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.createRole(java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean, boolean)`

    - #### prepareCreateSiteWideRole

          public void prepareCreateSiteWideRole(String sessionId,
                                                String title,
                                                String description,
                                                boolean preventInheritance,
                                                Object returnValue)

      Prepare a simulated response to createSiteWideRole
      See Also:
        `RbacAppSoap.createSiteWideRole(java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### createSiteWideRole

          public RoleSoapDO createSiteWideRole(String sessionId,
                                               String title,
                                               String description,
                                               boolean preventInheritance)
                                        throws RemoteException

      Simulate a call to createSiteWideRole
      Specified by:
        `createSiteWideRole` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `title` - The title of the site-wide role
        `description` - A description of the role
        `preventInheritance` - If the role's permission is prevented from applying to private projects.
      Returns:
        The Role2SoapDO that was created
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the created roleId is invalid
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - If the role exists with the specified title in the project
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.createSiteWideRole(java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### prepareCreateGlobalRole

          public void prepareCreateGlobalRole(String sessionId,
                                              String title,
                                              String description,
                                              boolean preventInheritance,
                                              boolean requestable,
                                              Object returnValue)

      Prepare a simulated response to createGlobalRole
      See Also:
        `RbacAppSoap.createGlobalRole(java.lang.String, java.lang.String, java.lang.String, boolean, boolean)`

    - #### createGlobalRole

          public RoleSoapDO createGlobalRole(String sessionId,
                                             String title,
                                             String description,
                                             boolean preventInheritance,
                                             boolean requestable)
                                      throws RemoteException

      Simulate a call to createGlobalRole
      Specified by:
        `createGlobalRole` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `title` - The title of the global role
        `description` - The description of the global role
        `preventInheritance` - If the role's permission is prevented from applying to private projects.
        `requestable` - If the role is available upon request
      Returns:
        The Role2SoapDO that was created
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the created roleId is invalid
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - If the global role exists with the specified title
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.createGlobalRole(java.lang.String, java.lang.String, java.lang.String, boolean, boolean)`

    - #### prepareSetRoleData

          public void prepareSetRoleData(String sessionId,
                                         RoleSoapDO roleData)

      Prepare a simulated response to setRoleData
      See Also:
        `RbacAppSoap.setRoleData(java.lang.String, com.collabnet.ce.soap60.webservices.rbac.RoleSoapDO)`

    - #### prepareSetRoleData

          public void prepareSetRoleData(String sessionId,
                                         RoleSoapDO roleData,
                                         Exception exception)

      Prepare a simulated response to setRoleData
      See Also:
        `RbacAppSoap.setRoleData(java.lang.String, com.collabnet.ce.soap60.webservices.rbac.RoleSoapDO)`

    - #### setRoleData

          public void setRoleData(String sessionId,
                                  RoleSoapDO roleData)
                           throws RemoteException

      Simulate a call to setRoleData
      Specified by:
        `setRoleData` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `roleData` - the role object to save
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - The role version being edited is not the latest one
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId is invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `RbacAppSoap.setRoleData(java.lang.String, com.collabnet.ce.soap60.webservices.rbac.RoleSoapDO)`

    - #### prepareGetRoleData

          public void prepareGetRoleData(String sessionId,
                                         String roleId,
                                         Object returnValue)

      Prepare a simulated response to getRoleData
      See Also:
        `RbacAppSoap.getRoleData(java.lang.String, java.lang.String)`

    - #### getRoleData

          public RoleSoapDO getRoleData(String sessionId,
                                        String roleId)
                                 throws RemoteException

      Simulate a call to getRoleData
      Specified by:
        `getRoleData` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `roleId` - The id of the role to be fetch
      Returns:
        The RoleSoapDO that was fetched
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId is invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - When the roleId is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.getRoleData(java.lang.String, java.lang.String)`

    - #### prepareCheckPermissionBasedOnSideWideOrProjectRole

          public void prepareCheckPermissionBasedOnSideWideOrProjectRole(com.vasoftware.sf.server.services.access.rbac.RoleDO role,
                                                                         com.vasoftware.sf.common.access.rbac.Operation operation,
                                                                         String loggedInUser)

      Prepare a simulated response to checkPermissionBasedOnSideWideOrProjectRole
      See Also:
        `RbacAppSoap.checkPermissionBasedOnSideWideOrProjectRole(com.vasoftware.sf.server.services.access.rbac.RoleDO, com.vasoftware.sf.common.access.rbac.Operation, java.lang.String)`

    - #### prepareCheckPermissionBasedOnSideWideOrProjectRole

          public void prepareCheckPermissionBasedOnSideWideOrProjectRole(com.vasoftware.sf.server.services.access.rbac.RoleDO role,
                                                                         com.vasoftware.sf.common.access.rbac.Operation operation,
                                                                         String loggedInUser,
                                                                         Exception exception)

      Prepare a simulated response to checkPermissionBasedOnSideWideOrProjectRole
      See Also:
        `RbacAppSoap.checkPermissionBasedOnSideWideOrProjectRole(com.vasoftware.sf.server.services.access.rbac.RoleDO, com.vasoftware.sf.common.access.rbac.Operation, java.lang.String)`

    - #### checkPermissionBasedOnSideWideOrProjectRole

          public void checkPermissionBasedOnSideWideOrProjectRole(com.vasoftware.sf.server.services.access.rbac.RoleDO role,
                                                                  com.vasoftware.sf.common.access.rbac.Operation operation,
                                                                  String loggedInUser)
                                                           throws RemoteException

      Simulate a call to checkPermissionBasedOnSideWideOrProjectRole
      Throws:
        `RemoteException`
      See Also:
        `RbacAppSoap.checkPermissionBasedOnSideWideOrProjectRole(com.vasoftware.sf.server.services.access.rbac.RoleDO, com.vasoftware.sf.common.access.rbac.Operation, java.lang.String)`

    - #### prepareCheckSiteWideRolePermission

          public void prepareCheckSiteWideRolePermission(com.vasoftware.sf.common.access.rbac.Operation operation,
                                                         String loggedInUser)

      Prepare a simulated response to checkSiteWideRolePermission
      See Also:
        `RbacAppSoap.checkSiteWideRolePermission(com.vasoftware.sf.common.access.rbac.Operation, java.lang.String)`

    - #### prepareCheckSiteWideRolePermission

          public void prepareCheckSiteWideRolePermission(com.vasoftware.sf.common.access.rbac.Operation operation,
                                                         String loggedInUser,
                                                         Exception exception)

      Prepare a simulated response to checkSiteWideRolePermission
      See Also:
        `RbacAppSoap.checkSiteWideRolePermission(com.vasoftware.sf.common.access.rbac.Operation, java.lang.String)`

    - #### checkSiteWideRolePermission

          public void checkSiteWideRolePermission(com.vasoftware.sf.common.access.rbac.Operation operation,
                                                  String loggedInUser)
                                           throws RemoteException

      Simulate a call to checkSiteWideRolePermission
      Throws:
        `RemoteException`
      See Also:
        `RbacAppSoap.checkSiteWideRolePermission(com.vasoftware.sf.common.access.rbac.Operation, java.lang.String)`

    - #### prepareCheckUserActiveStatus

          public void prepareCheckUserActiveStatus(String userName,
                                                   String loggedInUser)

      Prepare a simulated response to checkUserActiveStatus
      See Also:
        `RbacAppSoap.checkUserActiveStatus(java.lang.String, java.lang.String)`

    - #### prepareCheckUserActiveStatus

          public void prepareCheckUserActiveStatus(String userName,
                                                   String loggedInUser,
                                                   Exception exception)

      Prepare a simulated response to checkUserActiveStatus
      See Also:
        `RbacAppSoap.checkUserActiveStatus(java.lang.String, java.lang.String)`

    - #### checkUserActiveStatus

          public void checkUserActiveStatus(String userName,
                                            String loggedInUser)
                                     throws RemoteException

      Simulate a call to checkUserActiveStatus
      Throws:
        `RemoteException`
      See Also:
        `RbacAppSoap.checkUserActiveStatus(java.lang.String, java.lang.String)`

    - #### prepareDeleteRole

          public void prepareDeleteRole(String sessionId,
                                        String roleId)

      Prepare a simulated response to deleteRole
      See Also:
        `RbacAppSoap.deleteRole(java.lang.String, java.lang.String)`

    - #### prepareDeleteRole

          public void prepareDeleteRole(String sessionId,
                                        String roleId,
                                        Exception exception)

      Prepare a simulated response to deleteRole
      See Also:
        `RbacAppSoap.deleteRole(java.lang.String, java.lang.String)`

    - #### deleteRole

          public void deleteRole(String sessionId,
                                 String roleId)
                          throws RemoteException

      Simulate a call to deleteRole
      Specified by:
        `deleteRole` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `roleId` - The id of the role to be deleted
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the projectId is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.deleteRole(java.lang.String, java.lang.String)`

    - #### prepareAddCluster

          public void prepareAddCluster(String sessionId,
                                        String roleId,
                                        String operationCluster,
                                        String folderId)

      Prepare a simulated response to addCluster
      See Also:
        `RbacAppSoap.addCluster(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddCluster

          public void prepareAddCluster(String sessionId,
                                        String roleId,
                                        String operationCluster,
                                        String folderId,
                                        Exception exception)

      Prepare a simulated response to addCluster
      See Also:
        `RbacAppSoap.addCluster(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### addCluster

          public void addCluster(String sessionId,
                                 String roleId,
                                 String operationCluster,
                                 String folderId)
                          throws RemoteException

      Simulate a call to addCluster
      Specified by:
        `addCluster` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `roleId` - The role id to add the cluster to
        `operationCluster` - The cluster name to add to the role. See OperationClusterConstants.
        `folderId` - the folder id for the specified cluster. Pass in empty string to apply to all folders of the same type in the project. Note that passing in an empty folder id will not replace existing folder specific clusters.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId is invalid
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - If the cluster already exists in the role
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.addCluster(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddIntegratedApplicationPermission

          public void prepareAddIntegratedApplicationPermission(String sessionId,
                                                                String roleId,
                                                                String integratedAppName,
                                                                String permission)

      Prepare a simulated response to addIntegratedApplicationPermission
      See Also:
        `RbacAppSoap.addIntegratedApplicationPermission(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddIntegratedApplicationPermission

          public void prepareAddIntegratedApplicationPermission(String sessionId,
                                                                String roleId,
                                                                String integratedAppName,
                                                                String permission,
                                                                Exception exception)

      Prepare a simulated response to addIntegratedApplicationPermission
      See Also:
        `RbacAppSoap.addIntegratedApplicationPermission(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### addIntegratedApplicationPermission

          public void addIntegratedApplicationPermission(String sessionId,
                                                         String roleId,
                                                         String integratedAppName,
                                                         String permission)
                                                  throws RemoteException

      Simulate a call to addIntegratedApplicationPermission
      Specified by:
        `addIntegratedApplicationPermission` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `roleId` - The role id to add the integrated application permission to
        `integratedAppName` - The integrated application name (e.g: 'Pebble Blog')
        `permission` - The integrated application permission name to add to the role. (e.g: 'Blog Reader' for Pebble Blog integrated application)
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId is invalid
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - If the cluster already exists in the role
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.addIntegratedApplicationPermission(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRemoveIntegratedApplicationPermission

          public void prepareRemoveIntegratedApplicationPermission(String sessionId,
                                                                   String roleId,
                                                                   String integratedAppName,
                                                                   String permission)

      Prepare a simulated response to removeIntegratedApplicationPermission
      See Also:
        `RbacAppSoap.removeIntegratedApplicationPermission(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRemoveIntegratedApplicationPermission

          public void prepareRemoveIntegratedApplicationPermission(String sessionId,
                                                                   String roleId,
                                                                   String integratedAppName,
                                                                   String permission,
                                                                   Exception exception)

      Prepare a simulated response to removeIntegratedApplicationPermission
      See Also:
        `RbacAppSoap.removeIntegratedApplicationPermission(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### removeIntegratedApplicationPermission

          public void removeIntegratedApplicationPermission(String sessionId,
                                                            String roleId,
                                                            String integratedAppName,
                                                            String permission)
                                                     throws RemoteException

      Simulate a call to removeIntegratedApplicationPermission
      Specified by:
        `removeIntegratedApplicationPermission` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `roleId` - The role id from which the integrated application permission to be removed
        `integratedAppName` - The integrated application name (e.g: 'Pebble Blog')
        `permission` - The integrated application permission to be removed from the role. (e.g: 'Blog Reader' for Pebble Blog integrated application)
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId is invalid
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - If the cluster already exists in the role
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.removeIntegratedApplicationPermission(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddRemoveIAPermission

          public void prepareAddRemoveIAPermission(String sessionId,
                                                   String roleId,
                                                   String integratedAppName,
                                                   String permission,
                                                   boolean addPermission)

      Prepare a simulated response to addRemoveIAPermission
      See Also:
        `RbacAppSoap.addRemoveIAPermission(java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### prepareAddRemoveIAPermission

          public void prepareAddRemoveIAPermission(String sessionId,
                                                   String roleId,
                                                   String integratedAppName,
                                                   String permission,
                                                   boolean addPermission,
                                                   Exception exception)

      Prepare a simulated response to addRemoveIAPermission
      See Also:
        `RbacAppSoap.addRemoveIAPermission(java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### addRemoveIAPermission

          public void addRemoveIAPermission(String sessionId,
                                            String roleId,
                                            String integratedAppName,
                                            String permission,
                                            boolean addPermission)
                                     throws RemoteException

      Simulate a call to addRemoveIAPermission
      Throws:
        `RemoteException`
      See Also:
        `RbacAppSoap.addRemoveIAPermission(java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### prepareGetLinkId

          public void prepareGetLinkId(String projectId,
                                       String integratedAppName,
                                       String roleId,
                                       String loggedInUser,
                                       Object returnValue)

      Prepare a simulated response to getLinkId
      See Also:
        `RbacAppSoap.getLinkId(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### getLinkId

          public String getLinkId(String projectId,
                                  String integratedAppName,
                                  String roleId,
                                  String loggedInUser)
                           throws RemoteException

      Simulate a call to getLinkId
      Throws:
        `RemoteException`
      See Also:
        `RbacAppSoap.getLinkId(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetIAPermissionId

          public void prepareGetIAPermissionId(String integratedAppName,
                                               String permission,
                                               String loggedInUser,
                                               Object returnValue)

      Prepare a simulated response to getIAPermissionId
      See Also:
        `RbacAppSoap.getIAPermissionId(java.lang.String, java.lang.String, java.lang.String)`

    - #### getIAPermissionId

          public String getIAPermissionId(String integratedAppName,
                                          String permission,
                                          String loggedInUser)
                                   throws RemoteException

      Simulate a call to getIAPermissionId
      Throws:
        `RemoteException`
      See Also:
        `RbacAppSoap.getIAPermissionId(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRemoveCluster

          public void prepareRemoveCluster(String sessionId,
                                           String roleId,
                                           String operationCluster,
                                           String folderId)

      Prepare a simulated response to removeCluster
      See Also:
        `RbacAppSoap.removeCluster(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRemoveCluster

          public void prepareRemoveCluster(String sessionId,
                                           String roleId,
                                           String operationCluster,
                                           String folderId,
                                           Exception exception)

      Prepare a simulated response to removeCluster
      See Also:
        `RbacAppSoap.removeCluster(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### removeCluster

          public void removeCluster(String sessionId,
                                    String roleId,
                                    String operationCluster,
                                    String folderId)
                             throws RemoteException

      Simulate a call to removeCluster
      Specified by:
        `removeCluster` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `roleId` - The role id to remove the cluster to
        `operationCluster` - The cluster name to add to the role
        `folderId` - the folder id for the specified cluster. Pass in empty string to remove a cluster defined for all folders. Note that passing in an empty folder id will not remove existing folder specific clusters.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.removeCluster(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareConstructResource

          public void prepareConstructResource(String operationCluster,
                                               String folderId,
                                               String loggedInUser,
                                               Object returnValue)

      Prepare a simulated response to constructResource
      See Also:
        `RbacAppSoap.constructResource(java.lang.String, java.lang.String, java.lang.String)`

    - #### constructResource

          public com.vasoftware.sf.server.services.access.rbac.Resource constructResource(String operationCluster,
                                                                                          String folderId,
                                                                                          String loggedInUser)
                                                                                   throws RemoteException

      Simulate a call to constructResource
      Throws:
        `RemoteException`
      See Also:
        `RbacAppSoap.constructResource(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareListClusters

          public void prepareListClusters(String sessionId,
                                          String roleId,
                                          Object returnValue)

      Prepare a simulated response to listClusters
      See Also:
        `RbacAppSoap.listClusters(java.lang.String, java.lang.String)`

    - #### listClusters

          public RoleClusterSoapList listClusters(String sessionId,
                                                  String roleId)
                                           throws RemoteException

      Simulate a call to listClusters
      Specified by:
        `listClusters` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `roleId` - The ID of the role for which clusters will be listed
      Returns:
        list of clusters for a role
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.listClusters(java.lang.String, java.lang.String)`

    - #### prepareListClusterForDefaultAccessPermissions

          public void prepareListClusterForDefaultAccessPermissions(String sessionId,
                                                                    String projectId,
                                                                    Object returnValue)

      Prepare a simulated response to listClusterForDefaultAccessPermissions
      See Also:
        `RbacAppSoap.listClusterForDefaultAccessPermissions(java.lang.String, java.lang.String)`

    - #### listClusterForDefaultAccessPermissions

          public RoleCluster2SoapList listClusterForDefaultAccessPermissions(String sessionId,
                                                                             String projectId)
                                                                      throws RemoteException

      Simulate a call to listClusterForDefaultAccessPermissions
      Specified by:
        `listClusterForDefaultAccessPermissions` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `projectId` - The ID of the project for which clusters will be listed
      Returns:
        list of clusters for a project
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId is invalid
        `com.collabnet.ce.soap60.fault.SystemFault`
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault`
        `RemoteException`
      See Also:
        `RbacAppSoap.listClusterForDefaultAccessPermissions(java.lang.String, java.lang.String)`

    - #### prepareAddUser

          public void prepareAddUser(String sessionId,
                                     String roleId,
                                     String username)

      Prepare a simulated response to addUser
      See Also:
        `RbacAppSoap.addUser(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddUser

          public void prepareAddUser(String sessionId,
                                     String roleId,
                                     String username,
                                     Exception exception)

      Prepare a simulated response to addUser
      See Also:
        `RbacAppSoap.addUser(java.lang.String, java.lang.String, java.lang.String)`

    - #### addUser

          public void addUser(String sessionId,
                              String roleId,
                              String username)
                       throws RemoteException

      Simulate a call to addUser
      Specified by:
        `addUser` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User sessionId
        `roleId` - The role id to add the user to
        `username` - The username of the user to add to the role
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId is invalid
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - If the user already exists in the role
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.addUser(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGrantRolesToMembers

          public void prepareGrantRolesToMembers(String sessionId,
                                                 UserRolesSoapDO[] userRolesSoapDOs,
                                                 String projectId)

      Prepare a simulated response to grantRolesToMembers
      See Also:
        `RbacAppSoap.grantRolesToMembers(java.lang.String, com.collabnet.ce.soap60.webservices.rbac.UserRolesSoapDO[], java.lang.String)`

    - #### prepareGrantRolesToMembers

          public void prepareGrantRolesToMembers(String sessionId,
                                                 UserRolesSoapDO[] userRolesSoapDOs,
                                                 String projectId,
                                                 Exception exception)

      Prepare a simulated response to grantRolesToMembers
      See Also:
        `RbacAppSoap.grantRolesToMembers(java.lang.String, com.collabnet.ce.soap60.webservices.rbac.UserRolesSoapDO[], java.lang.String)`

    - #### grantRolesToMembers

          public void grantRolesToMembers(String sessionId,
                                          UserRolesSoapDO[] userRolesSoapDOs,
                                          String projectId)
                                   throws RemoteException

      Simulate a call to grantRolesToMembers
      Specified by:
        `grantRolesToMembers` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User sessionId
        `userRolesSoapDOs` - user to roles data container, simulation of map - key as user and lists of roles as values
        `projectId` - project to which users would be the members with the given roles.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId is invalid
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - If the user already exists in the role
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.grantRolesToMembers(java.lang.String, com.collabnet.ce.soap60.webservices.rbac.UserRolesSoapDO[], java.lang.String)`

    - #### prepareGetUserRolesMap

          public void prepareGetUserRolesMap(UserRolesSoapDO[] userRolesSoapDOs,
                                             Object returnValue)

      Prepare a simulated response to getUserRolesMap
      See Also:
        `RbacAppSoap.getUserRolesMap(com.collabnet.ce.soap60.webservices.rbac.UserRolesSoapDO[])`

    - #### getUserRolesMap

          public Map getUserRolesMap(UserRolesSoapDO[] userRolesSoapDOs)
                              throws RemoteException

      Simulate a call to getUserRolesMap
      Throws:
        `RemoteException`
      See Also:
        `RbacAppSoap.getUserRolesMap(com.collabnet.ce.soap60.webservices.rbac.UserRolesSoapDO[])`

    - #### prepareRemoveUser

          public void prepareRemoveUser(String sessionId,
                                        String roleId,
                                        String username)

      Prepare a simulated response to removeUser
      See Also:
        `RbacAppSoap.removeUser(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRemoveUser

          public void prepareRemoveUser(String sessionId,
                                        String roleId,
                                        String username,
                                        Exception exception)

      Prepare a simulated response to removeUser
      See Also:
        `RbacAppSoap.removeUser(java.lang.String, java.lang.String, java.lang.String)`

    - #### removeUser

          public void removeUser(String sessionId,
                                 String roleId,
                                 String username)
                          throws RemoteException

      Simulate a call to removeUser
      Specified by:
        `removeUser` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User sessionId
        `roleId` - The role id to add the user to
        `username` - The username of the user to add to the role
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId is invalid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.removeUser(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRevokeRolesFromMembers

          public void prepareRevokeRolesFromMembers(String sessionId,
                                                    UserRolesSoapDO[] userRolesSoapDOs,
                                                    String projectId)

      Prepare a simulated response to revokeRolesFromMembers
      See Also:
        `RbacAppSoap.revokeRolesFromMembers(java.lang.String, com.collabnet.ce.soap60.webservices.rbac.UserRolesSoapDO[], java.lang.String)`

    - #### prepareRevokeRolesFromMembers

          public void prepareRevokeRolesFromMembers(String sessionId,
                                                    UserRolesSoapDO[] userRolesSoapDOs,
                                                    String projectId,
                                                    Exception exception)

      Prepare a simulated response to revokeRolesFromMembers
      See Also:
        `RbacAppSoap.revokeRolesFromMembers(java.lang.String, com.collabnet.ce.soap60.webservices.rbac.UserRolesSoapDO[], java.lang.String)`

    - #### revokeRolesFromMembers

          public void revokeRolesFromMembers(String sessionId,
                                             UserRolesSoapDO[] userRolesSoapDOs,
                                             String projectId)
                                      throws RemoteException

      Simulate a call to revokeRolesFromMembers
      Specified by:
        `revokeRolesFromMembers` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User sessionId
        `userRolesSoapDOs` - user to roles data container, simulation of map - key as user and lists of roles to remove as values
        `projectId` - project in which roles would be removed from the users.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId is invalid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.revokeRolesFromMembers(java.lang.String, com.collabnet.ce.soap60.webservices.rbac.UserRolesSoapDO[], java.lang.String)`

    - #### prepareAddUserToProjectRole

          public void prepareAddUserToProjectRole(String sessionId,
                                                  String roleId,
                                                  String username,
                                                  String projectOrProjectGroupId)

      Prepare a simulated response to addUserToProjectRole
      See Also:
        `RbacAppSoap.addUserToProjectRole(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddUserToProjectRole

          public void prepareAddUserToProjectRole(String sessionId,
                                                  String roleId,
                                                  String username,
                                                  String projectOrProjectGroupId,
                                                  Exception exception)

      Prepare a simulated response to addUserToProjectRole
      See Also:
        `RbacAppSoap.addUserToProjectRole(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### addUserToProjectRole

          public void addUserToProjectRole(String sessionId,
                                           String roleId,
                                           String username,
                                           String projectOrProjectGroupId)
                                    throws RemoteException

      Simulate a call to addUserToProjectRole
      Specified by:
        `addUserToProjectRole` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User sessionId
        `roleId` - The role id to add the user to
        `username` - The username of the user to add to the role
        `projectOrProjectGroupId` - projectId (or) Project group ID. The project/Project Group in which the role has to be added to the user. The permission check varies accordingly for Project- User with Edit Role permissions. ProjectGroup-ProjectGroup.Admin Permission
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId is invalid
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - If the user already exists in the role
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.addUserToProjectRole(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRemoveUserFromProjectRole

          public void prepareRemoveUserFromProjectRole(String sessionId,
                                                       String roleId,
                                                       String username,
                                                       String projectOrProjectGroupId)

      Prepare a simulated response to removeUserFromProjectRole
      See Also:
        `RbacAppSoap.removeUserFromProjectRole(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRemoveUserFromProjectRole

          public void prepareRemoveUserFromProjectRole(String sessionId,
                                                       String roleId,
                                                       String username,
                                                       String projectOrProjectGroupId,
                                                       Exception exception)

      Prepare a simulated response to removeUserFromProjectRole
      See Also:
        `RbacAppSoap.removeUserFromProjectRole(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### removeUserFromProjectRole

          public void removeUserFromProjectRole(String sessionId,
                                                String roleId,
                                                String username,
                                                String projectOrProjectGroupId)
                                         throws RemoteException

      Simulate a call to removeUserFromProjectRole
      Specified by:
        `removeUserFromProjectRole` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User sessionId
        `roleId` - The role id to add the user to
        `username` - The username of the user to add to the role
        `projectOrProjectGroupId` - projectId (or) Project group ID. The project/Project Group in which the role has to be removed from the user. The permission check varies accordingly: for Project - User with Edit Role permissions. for ProjectGroup - ProjectGroup.Admin Permission
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId is invalid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.removeUserFromProjectRole(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddGroup

          public void prepareAddGroup(String sessionId,
                                      String groupId,
                                      String roleId,
                                      String projectOrProjectGroupId)

      Prepare a simulated response to addGroup
      See Also:
        `RbacAppSoap.addGroup(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddGroup

          public void prepareAddGroup(String sessionId,
                                      String groupId,
                                      String roleId,
                                      String projectOrProjectGroupId,
                                      Exception exception)

      Prepare a simulated response to addGroup
      See Also:
        `RbacAppSoap.addGroup(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### addGroup

          public void addGroup(String sessionId,
                               String groupId,
                               String roleId,
                               String projectOrProjectGroupId)
                        throws RemoteException

      Simulate a call to addGroup
      Specified by:
        `addGroup` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User sessionId.
        `groupId` - the user group to be added.
        `roleId` - The role to which the user group is to be added.
        `projectOrProjectGroupId` - The project/projectgroup id to which the role belongs.
      Throws:
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user does not have permission to perform the operation.
        `com.collabnet.ce.soap60.fault.SystemFault` - When an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - If the user group already exists in the role.
        `RemoteException`
      See Also:
        `RbacAppSoap.addGroup(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRemoveGroup

          public void prepareRemoveGroup(String sessionId,
                                         String groupId,
                                         String roleId,
                                         String projectOrProjectGroupId)

      Prepare a simulated response to removeGroup
      See Also:
        `RbacAppSoap.removeGroup(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRemoveGroup

          public void prepareRemoveGroup(String sessionId,
                                         String groupId,
                                         String roleId,
                                         String projectOrProjectGroupId,
                                         Exception exception)

      Prepare a simulated response to removeGroup
      See Also:
        `RbacAppSoap.removeGroup(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### removeGroup

          public void removeGroup(String sessionId,
                                  String groupId,
                                  String roleId,
                                  String projectOrProjectGroupId)
                           throws RemoteException

      Simulate a call to removeGroup
      Specified by:
        `removeGroup` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User sessionId.
        `groupId` - the user group to be added.
        `roleId` - The role to which the user group is to be added.
        `projectOrProjectGroupId` - The project/projectgroup id to which the role belongs.
      Throws:
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user does not have permission to perform the operation.
        `com.collabnet.ce.soap60.fault.SystemFault` - When an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `RbacAppSoap.removeGroup(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetRoleList

          public void prepareGetRoleList(String sessionId,
                                         String projectOrProjectGroupId,
                                         Object returnValue)

      Prepare a simulated response to getRoleList
      See Also:
        `RbacAppSoap.getRoleList(java.lang.String, java.lang.String)`

    - #### getRoleList

          public RoleSoapList getRoleList(String sessionId,
                                          String projectOrProjectGroupId)
                                   throws RemoteException

      Simulate a call to getRoleList
      Specified by:
        `getRoleList` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `projectOrProjectGroupId` - The Project/Project Group Id to list roles from
      Returns:
        The RoleSoapList describing all roles in the project
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the projectId is invalid
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - If the role exists with the specified title in the project
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.getRoleList(java.lang.String, java.lang.String)`

    - #### prepareGetInheritedRoleList

          public void prepareGetInheritedRoleList(String sessionId,
                                                  String projectId,
                                                  Object returnValue)

      Prepare a simulated response to getInheritedRoleList
      See Also:
        `RbacAppSoap.getInheritedRoleList(java.lang.String, java.lang.String)`

    - #### getInheritedRoleList

          public RoleSoapList getInheritedRoleList(String sessionId,
                                                   String projectId)
                                            throws RemoteException

      Simulate a call to getInheritedRoleList
      Specified by:
        `getInheritedRoleList` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `projectId` - The project Id to list the inherited roles from
      Returns:
        The Role2SoapList describing all inherited roles in the project
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the projectId is invalid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.getInheritedRoleList(java.lang.String, java.lang.String)`

    - #### prepareGetRoleMemberList

          public void prepareGetRoleMemberList(String sessionId,
                                               String roleId,
                                               Object returnValue)

      Prepare a simulated response to getRoleMemberList
      See Also:
        `RbacAppSoap.getRoleMemberList(java.lang.String, java.lang.String)`

    - #### getRoleMemberList

          public UserSoapList getRoleMemberList(String sessionId,
                                                String roleId)
                                         throws RemoteException

      Simulate a call to getRoleMemberList
      Specified by:
        `getRoleMemberList` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session id.
        `roleId` - Role id.
      Returns:
        List of users in the specified role.
      Throws:
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - Role id is not specified or invalid.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - if the session is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have permission to perform the operation
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified role id is invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `RbacAppSoap.getRoleMemberList(java.lang.String, java.lang.String)`

    - #### prepareGetProjectRoleMemberList

          public void prepareGetProjectRoleMemberList(String sessionId,
                                                      String roleId,
                                                      String projectOrProjectGroupId,
                                                      Object returnValue)

      Prepare a simulated response to getProjectRoleMemberList
      See Also:
        `RbacAppSoap.getProjectRoleMemberList(java.lang.String, java.lang.String, java.lang.String)`

    - #### getProjectRoleMemberList

          public UserSoapList getProjectRoleMemberList(String sessionId,
                                                       String roleId,
                                                       String projectOrProjectGroupId)
                                                throws RemoteException

      Simulate a call to getProjectRoleMemberList
      Specified by:
        `getProjectRoleMemberList` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session id.
        `roleId` - Role id.
        `projectOrProjectGroupId` - Project or Project Group Id
      Returns:
        List of users in the specified role in the given project or project group.
      Throws:
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - Role id is not specified or invalid.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - if the session is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have permission to perform the operation
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified role id is invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `RbacAppSoap.getProjectRoleMemberList(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetUserRoleList

          public void prepareGetUserRoleList(String sessionId,
                                             String projectOrProjectGroupId,
                                             String username,
                                             Object returnValue)

      Prepare a simulated response to getUserRoleList
      See Also:
        `RbacAppSoap.getUserRoleList(java.lang.String, java.lang.String, java.lang.String)`

    - #### getUserRoleList

          public RoleSoapList getUserRoleList(String sessionId,
                                              String projectOrProjectGroupId,
                                              String username)
                                       throws RemoteException

      Simulate a call to getUserRoleList
      Specified by:
        `getUserRoleList` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectOrProjectGroupId` - Project or Project Group id.
        `username` - Name of the user.
      Returns:
        List of roles that a user is a member of.
      Throws:
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - Username is not specified or invalid.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - if the session is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have permission to perform the operation
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project or project group id is invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `RbacAppSoap.getUserRoleList(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetUserSiteWideRoleList

          public void prepareGetUserSiteWideRoleList(String sessionId,
                                                     String username,
                                                     Object returnValue)

      Prepare a simulated response to getUserSiteWideRoleList
      See Also:
        `RbacAppSoap.getUserSiteWideRoleList(java.lang.String, java.lang.String)`

    - #### getUserSiteWideRoleList

          public RoleSoapList getUserSiteWideRoleList(String sessionId,
                                                      String username)
                                               throws RemoteException

      Simulate a call to getUserSiteWideRoleList
      Specified by:
        `getUserSiteWideRoleList` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session id.
        `username` - Name of the user.
      Returns:
        List of site-wide roles that a user is a member of.
      Throws:
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - Username is not specified or invalid.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - if the session is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have permission to perform the operation
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `RbacAppSoap.getUserSiteWideRoleList(java.lang.String, java.lang.String)`

    - #### prepareGetSiteWideRoleList

          public void prepareGetSiteWideRoleList(String sessionId,
                                                 Object returnValue)

      Prepare a simulated response to getSiteWideRoleList
      See Also:
        `RbacAppSoap.getSiteWideRoleList(java.lang.String)`

    - #### getSiteWideRoleList

          public RoleSoapList getSiteWideRoleList(String sessionId)
                                           throws RemoteException

      Simulate a call to getSiteWideRoleList
      Specified by:
        `getSiteWideRoleList` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session id.
      Returns:
        List of site-wide roles available
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - if the session is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have the permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `RbacAppSoap.getSiteWideRoleList(java.lang.String)`

    - #### prepareGetGlobalRoleList

          public void prepareGetGlobalRoleList(String sessionId,
                                               Object returnValue)

      Prepare a simulated response to getGlobalRoleList
      See Also:
        `RbacAppSoap.getGlobalRoleList(java.lang.String)`

    - #### getGlobalRoleList

          public RoleSoapList getGlobalRoleList(String sessionId)
                                         throws RemoteException

      Simulate a call to getGlobalRoleList
      Specified by:
        `getGlobalRoleList` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session id.
      Returns:
        List of global roles available
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - if the session is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have the permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `RbacAppSoap.getGlobalRoleList(java.lang.String)`

    - #### prepareGetGlobalRolesForAssignment

          public void prepareGetGlobalRolesForAssignment(String sessionId,
                                                         String projectOrProjectGroupId,
                                                         Object returnValue)

      Prepare a simulated response to getGlobalRolesForAssignment
      See Also:
        `RbacAppSoap.getGlobalRolesForAssignment(java.lang.String, java.lang.String)`

    - #### getGlobalRolesForAssignment

          public RoleSoapList getGlobalRolesForAssignment(String sessionId,
                                                          String projectOrProjectGroupId)
                                                   throws RemoteException

      Simulate a call to getGlobalRolesForAssignment
      Specified by:
        `getGlobalRolesForAssignment` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectOrProjectGroupId` - the project or project group from which to get the global roles list
      Returns:
        List of global roles available
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - if the session is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have the permission to perform the operation
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project or project group id is invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `RbacAppSoap.getGlobalRolesForAssignment(java.lang.String, java.lang.String)`

    - #### prepareGetGroupRoleList

          public void prepareGetGroupRoleList(String sessionId,
                                              String groupId,
                                              String projectIdOrProjectGroupId,
                                              Object returnValue)

      Prepare a simulated response to getGroupRoleList
      See Also:
        `RbacAppSoap.getGroupRoleList(java.lang.String, java.lang.String, java.lang.String)`

    - #### getGroupRoleList

          public RoleSoapList getGroupRoleList(String sessionId,
                                               String groupId,
                                               String projectIdOrProjectGroupId)
                                        throws RemoteException

      Simulate a call to getGroupRoleList
      Specified by:
        `getGroupRoleList` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session id.
        `groupId` - User Group id.
        `projectIdOrProjectGroupId` - Project id or project group id.
      Returns:
        List of roles the user group is associated with.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - if the session is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have permission to perform the operation.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id or project group id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid.
        `RemoteException`
      See Also:
        `RbacAppSoap.getGroupRoleList(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetRoleGroupList

          public void prepareGetRoleGroupList(String sessionId,
                                              String roleId,
                                              Object returnValue)

      Prepare a simulated response to getRoleGroupList
      See Also:
        `RbacAppSoap.getRoleGroupList(java.lang.String, java.lang.String)`

    - #### getRoleGroupList

          public UserGroupSoapList getRoleGroupList(String sessionId,
                                                    String roleId)
                                             throws RemoteException

      Simulate a call to getRoleGroupList
      Specified by:
        `getRoleGroupList` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session id.
        `roleId` - Role id.
      Returns:
        List of user groups associated with a role.
      Throws:
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - roleId is not specified or invalid.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - if the session is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have permission to perform the operation.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `RemoteException`
      See Also:
        `RbacAppSoap.getRoleGroupList(java.lang.String, java.lang.String)`

    - #### prepareListGroupRolesByProject

          public void prepareListGroupRolesByProject(String sessionId,
                                                     String projectId,
                                                     Object returnValue)

      Prepare a simulated response to listGroupRolesByProject
      See Also:
        `RbacAppSoap.listGroupRolesByProject(java.lang.String, java.lang.String)`

    - #### listGroupRolesByProject

          public RoleGroupSoapList listGroupRolesByProject(String sessionId,
                                                           String projectId)
                                                    throws RemoteException

      Simulate a call to listGroupRolesByProject
      Specified by:
        `listGroupRolesByProject` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - Project id.
      Returns:
        list of user groups and the roles it is associated with
      Throws:
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - projectId is not specified or invalid.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - if the session is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have permission to perform the operation.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `RemoteException`
      See Also:
        `RbacAppSoap.listGroupRolesByProject(java.lang.String, java.lang.String)`

    - #### prepareGetRoleGroupUsers

          public void prepareGetRoleGroupUsers(String sessionId,
                                               String projectIdOrProjectGroupId,
                                               String roleId,
                                               Object returnValue)

      Prepare a simulated response to getRoleGroupUsers
      See Also:
        `RbacAppSoap.getRoleGroupUsers(java.lang.String, java.lang.String, java.lang.String)`

    - #### getRoleGroupUsers

          public UserSoapList getRoleGroupUsers(String sessionId,
                                                String projectIdOrProjectGroupId,
                                                String roleId)
                                         throws RemoteException

      Simulate a call to getRoleGroupUsers
      Specified by:
        `getRoleGroupUsers` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectIdOrProjectGroupId` - Project or Project Group's id.
        `roleId` - Role id.
      Returns:
        List of users in the specified role.
      Throws:
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - Role id is not specified or invalid.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - if the session is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have permission to perform the operation
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified role id is invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `RbacAppSoap.getRoleGroupUsers(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareListRolePaths

          public void prepareListRolePaths(String sessionId,
                                           String roleId,
                                           String repositoryId,
                                           Object returnValue)

      Prepare a simulated response to listRolePaths
      See Also:
        `RbacAppSoap.listRolePaths(java.lang.String, java.lang.String, java.lang.String)`

    - #### listRolePaths

          public com.collabnet.ce.soap60.types.SoapNamedValues listRolePaths(String sessionId,
                                                                             String roleId,
                                                                             String repositoryId)
                                                                      throws RemoteException

      Simulate a call to listRolePaths
      Specified by:
        `listRolePaths` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `roleId` - the key of the role the role paths belongs to
        `repositoryId` - the repository id
      Returns:
        role path in soap named values format
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId is invalid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.listRolePaths(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareSetRolePaths

          public void prepareSetRolePaths(String sessionId,
                                          String roleId,
                                          String repositoryId,
                                          com.collabnet.ce.soap60.types.SoapNamedValues rolePaths)

      Prepare a simulated response to setRolePaths
      See Also:
        `RbacAppSoap.setRolePaths(java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapNamedValues)`

    - #### prepareSetRolePaths

          public void prepareSetRolePaths(String sessionId,
                                          String roleId,
                                          String repositoryId,
                                          com.collabnet.ce.soap60.types.SoapNamedValues rolePaths,
                                          Exception exception)

      Prepare a simulated response to setRolePaths
      See Also:
        `RbacAppSoap.setRolePaths(java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapNamedValues)`

    - #### setRolePaths

          public void setRolePaths(String sessionId,
                                   String roleId,
                                   String repositoryId,
                                   com.collabnet.ce.soap60.types.SoapNamedValues rolePaths)
                            throws RemoteException

      Simulate a call to setRolePaths
      Specified by:
        `setRolePaths` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `roleId` - the key of the role the role paths belongs to
        `repositoryId` - the repository id
        `rolePaths` - list of role paths
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId is invalid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If one of the parameters is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.setRolePaths(java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapNamedValues)`

    - #### prepareGetProjectsForAction

          public void prepareGetProjectsForAction(String sessionId,
                                                  String operationString,
                                                  String userName,
                                                  Object returnValue)

      Prepare a simulated response to getProjectsForAction
      See Also:
        `RbacAppSoap.getProjectsForAction(java.lang.String, java.lang.String, java.lang.String)`

    - #### getProjectsForAction

          public ProjectSoapList getProjectsForAction(String sessionId,
                                                      String operationString,
                                                      String userName)
                                               throws RemoteException

      Simulate a call to getProjectsForAction
      Specified by:
        `getProjectsForAction` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `operationString` - Operation in format type.category.name, except for integrated application, which is in format PluggableLink.<id of the integrated app>.<permission name>.<permission name>.
        `userName` - the user who would have cluster permission in the returned project list
      Returns:
        List of projects
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the arguments are null or empty.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the userName doesn't exist.
        `RemoteException`
      See Also:
        `RbacAppSoap.getProjectsForAction(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRequestRole

          public void prepareRequestRole(String sessionId,
                                         String roleId,
                                         String projectId)

      Prepare a simulated response to requestRole
      See Also:
        `RbacAppSoap.requestRole(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRequestRole

          public void prepareRequestRole(String sessionId,
                                         String roleId,
                                         String projectId,
                                         Exception exception)

      Prepare a simulated response to requestRole
      See Also:
        `RbacAppSoap.requestRole(java.lang.String, java.lang.String, java.lang.String)`

    - #### requestRole

          public void requestRole(String sessionId,
                                  String roleId,
                                  String projectId)
                           throws RemoteException

      Simulate a call to requestRole
      Specified by:
        `requestRole` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `roleId` - the role id
        `projectId` - project in which to make the request
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the roleId or projectId is invalid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - incorrect parameters
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `RbacAppSoap.requestRole(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareSetAutomaticallyGrantOnRequest

          public void prepareSetAutomaticallyGrantOnRequest(String sessionId,
                                                            String roleId,
                                                            String projectId,
                                                            boolean autoGrant)

      Prepare a simulated response to setAutomaticallyGrantOnRequest
      See Also:
        `RbacAppSoap.setAutomaticallyGrantOnRequest(java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### prepareSetAutomaticallyGrantOnRequest

          public void prepareSetAutomaticallyGrantOnRequest(String sessionId,
                                                            String roleId,
                                                            String projectId,
                                                            boolean autoGrant,
                                                            Exception exception)

      Prepare a simulated response to setAutomaticallyGrantOnRequest
      See Also:
        `RbacAppSoap.setAutomaticallyGrantOnRequest(java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### setAutomaticallyGrantOnRequest

          public void setAutomaticallyGrantOnRequest(String sessionId,
                                                     String roleId,
                                                     String projectId,
                                                     boolean autoGrant)
                                              throws RemoteException

      Simulate a call to setAutomaticallyGrantOnRequest
      Specified by:
        `setAutomaticallyGrantOnRequest` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `roleId` - the role id
        `projectId` - the project to which automatically grant property to be set
        `autoGrant` - true to set it available upon request
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the projectId is invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the role is not available upon request
        `RemoteException`
      See Also:
        `RbacAppSoap.setAutomaticallyGrantOnRequest(java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### prepareGetAutomaticallyGrantOnRequest

          public void prepareGetAutomaticallyGrantOnRequest(String sessionId,
                                                            String roleId,
                                                            String projectId,
                                                            Object returnValue)

      Prepare a simulated response to getAutomaticallyGrantOnRequest
      See Also:
        `RbacAppSoap.getAutomaticallyGrantOnRequest(java.lang.String, java.lang.String, java.lang.String)`

    - #### getAutomaticallyGrantOnRequest

          public boolean getAutomaticallyGrantOnRequest(String sessionId,
                                                        String roleId,
                                                        String projectId)
                                                 throws RemoteException

      Simulate a call to getAutomaticallyGrantOnRequest
      Specified by:
        `getAutomaticallyGrantOnRequest` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `roleId` - the role id
        `projectId` - the project to which automatically grant property to be set
      Returns:
        Auto grant flag of role
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the projectId is invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when there is a request for global role with Projects project id.
        `RemoteException`
      See Also:
        `RbacAppSoap.getAutomaticallyGrantOnRequest(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetPendingRequestedRoles

          public void prepareGetPendingRequestedRoles(String sessionId,
                                                      String projectId,
                                                      Object returnValue)

      Prepare a simulated response to getPendingRequestedRoles
      See Also:
        `RbacAppSoap.getPendingRequestedRoles(java.lang.String, java.lang.String)`

    - #### getPendingRequestedRoles

          public RoleRequestSoapList getPendingRequestedRoles(String sessionId,
                                                              String projectId)
                                                       throws RemoteException

      Simulate a call to getPendingRequestedRoles
      Specified by:
        `getPendingRequestedRoles` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `projectId` - project in which the pending requested roles needs to be retrieved
      Returns:
        List of pending requested roles.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When projectId is invalid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - incorrect parameters
        `com.collabnet.ce.soap60.fault.SystemFault` - unexpected error occurs
        `RemoteException`
      See Also:
        `RbacAppSoap.getPendingRequestedRoles(java.lang.String, java.lang.String)`

    - #### prepareApproveRoleRequest

          public void prepareApproveRoleRequest(String sessionId,
                                                String requestId,
                                                String projectId)

      Prepare a simulated response to approveRoleRequest
      See Also:
        `RbacAppSoap.approveRoleRequest(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareApproveRoleRequest

          public void prepareApproveRoleRequest(String sessionId,
                                                String requestId,
                                                String projectId,
                                                Exception exception)

      Prepare a simulated response to approveRoleRequest
      See Also:
        `RbacAppSoap.approveRoleRequest(java.lang.String, java.lang.String, java.lang.String)`

    - #### approveRoleRequest

          public void approveRoleRequest(String sessionId,
                                         String requestId,
                                         String projectId)
                                  throws RemoteException

      Simulate a call to approveRoleRequest
      Specified by:
        `approveRoleRequest` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `requestId` - Role request Id
        `projectId` - project in which the role request was raised
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the projectId is invalid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - incorrect parameters
        `com.collabnet.ce.soap60.fault.SystemFault` - unexpected error occurs
        `RemoteException`
      See Also:
        `RbacAppSoap.approveRoleRequest(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRejectRoleRequest

          public void prepareRejectRoleRequest(String sessionId,
                                               String requestId,
                                               String projectId)

      Prepare a simulated response to rejectRoleRequest
      See Also:
        `RbacAppSoap.rejectRoleRequest(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRejectRoleRequest

          public void prepareRejectRoleRequest(String sessionId,
                                               String requestId,
                                               String projectId,
                                               Exception exception)

      Prepare a simulated response to rejectRoleRequest
      See Also:
        `RbacAppSoap.rejectRoleRequest(java.lang.String, java.lang.String, java.lang.String)`

    - #### rejectRoleRequest

          public void rejectRoleRequest(String sessionId,
                                        String requestId,
                                        String projectId)
                                 throws RemoteException

      Simulate a call to rejectRoleRequest
      Specified by:
        `rejectRoleRequest` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session Id
        `requestId` - Role request Id
        `projectId` - project in which the role request was raised
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the projectId is invalid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - incorrect parameters
        `com.collabnet.ce.soap60.fault.SystemFault` - unexpected error occurs
        `RemoteException`
      See Also:
        `RbacAppSoap.rejectRoleRequest(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareListGroupRolesByProjectGroup

          public void prepareListGroupRolesByProjectGroup(String sessionId,
                                                          String projectGroupId,
                                                          Object returnValue)

      Prepare a simulated response to listGroupRolesByProjectGroup
      See Also:
        `RbacAppSoap.listGroupRolesByProjectGroup(java.lang.String, java.lang.String)`

    - #### listGroupRolesByProjectGroup

          public RoleGroupSoapList listGroupRolesByProjectGroup(String sessionId,
                                                                String projectGroupId)
                                                         throws RemoteException

      Simulate a call to listGroupRolesByProjectGroup
      Specified by:
        `listGroupRolesByProjectGroup` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session id.
        `projectGroupId` - Project group id.
      Returns:
        list of user groups and the roles it is associated with
      Throws:
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - projectGroupId is not specified or invalid.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - if the session is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have permission to perform the operation.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project group id is invalid.
        `RemoteException`
      See Also:
        `RbacAppSoap.listGroupRolesByProjectGroup(java.lang.String, java.lang.String)`

    - #### prepareGetProjectsByIntegratedAppPermission

          public void prepareGetProjectsByIntegratedAppPermission(String sessionId,
                                                                  String perm,
                                                                  String integratedAppName,
                                                                  Object returnValue)

      Prepare a simulated response to getProjectsByIntegratedAppPermission
      See Also:
        `RbacAppSoap.getProjectsByIntegratedAppPermission(java.lang.String, java.lang.String, java.lang.String)`

    - #### getProjectsByIntegratedAppPermission

          public String[] getProjectsByIntegratedAppPermission(String sessionId,
                                                               String perm,
                                                               String integratedAppName)
                                                        throws RemoteException

      Simulate a call to getProjectsByIntegratedAppPermission
      Specified by:
        `getProjectsByIntegratedAppPermission` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session key.
        `perm` - permission criteria
        `integratedAppName` - the IntegratedApp plugName.
      Returns:
        string array of id of projects in which the current user has given permission to given integrated app.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the plugName is invalid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - When the userId is invalid
        `RemoteException`
      See Also:
        `RbacAppSoap.getProjectsByIntegratedAppPermission(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetIntegratedAppPermissionsForProject

          public void prepareGetIntegratedAppPermissionsForProject(String sessionId,
                                                                   String projectId,
                                                                   String linkId,
                                                                   Object returnValue)

      Prepare a simulated response to getIntegratedAppPermissionsForProject
      See Also:
        `RbacAppSoap.getIntegratedAppPermissionsForProject(java.lang.String, java.lang.String, java.lang.String)`

    - #### getIntegratedAppPermissionsForProject

          public String[] getIntegratedAppPermissionsForProject(String sessionId,
                                                                String projectId,
                                                                String linkId)
                                                         throws RemoteException

      Simulate a call to getIntegratedAppPermissionsForProject
      Specified by:
        `getIntegratedAppPermissionsForProject` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session key.
        `projectId` - the projectId
        `linkId` - the linkId between integrated app and project
      Returns:
        String array of permissions for given integrated application
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault`
        `RemoteException`
      See Also:
        `RbacAppSoap.getIntegratedAppPermissionsForProject(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetIntegratedAppPermissions

          public void prepareGetIntegratedAppPermissions(String sessionId,
                                                         String[] projectIds,
                                                         String baseUrl,
                                                         Object returnValue)

      Prepare a simulated response to getIntegratedAppPermissions
      See Also:
        `RbacAppSoap.getIntegratedAppPermissions(java.lang.String, java.lang.String[], java.lang.String)`

    - #### getIntegratedAppPermissions

          public com.collabnet.ce.soap60.webservices.rbac.IntegratedAppProjectPermissionSoapList getIntegratedAppPermissions(String sessionId,
                                                                                                                             String[] projectIds,
                                                                                                                             String baseUrl)
                                                                                                                      throws RemoteException

      Simulate a call to getIntegratedAppPermissions
      Specified by:
        `getIntegratedAppPermissions` in interface `IRbacAppSoap`
      Parameters:
        `sessionId` - User session key.
        `projectIds` - the projectIds
        `baseUrl` - the base url of the integrated application
      Returns:
        List of integrated application permission on the specified projects for current user
      Throws:
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when baseUrl is null or empty
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified baseUrl is invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs
        `RemoteException`
      See Also:
        `RbacAppSoap.getIntegratedAppPermissions(java.lang.String, java.lang.String[], java.lang.String)`

    - #### prepareGetIAPermissions

          public void prepareGetIAPermissions(String plugId,
                                              com.vasoftware.sf.server.types.UserSessionKey sessionKey,
                                              Object returnValue)

      Prepare a simulated response to getIAPermissions
      See Also:
        `RbacAppSoap.getIAPermissions(java.lang.String, com.vasoftware.sf.server.types.UserSessionKey)`

    - #### getIAPermissions

          public List getIAPermissions(String plugId,
                                       com.vasoftware.sf.server.types.UserSessionKey sessionKey)
                                throws RemoteException

      Simulate a call to getIAPermissions
      Throws:
        `RemoteException`
      See Also:
        `RbacAppSoap.getIAPermissions(java.lang.String, com.vasoftware.sf.server.types.UserSessionKey)`

    - #### prepareAvailablePermissions

          public void prepareAvailablePermissions(String plugId,
                                                  List permissions,
                                                  com.vasoftware.sf.server.types.ProjectPath projectPath,
                                                  com.vasoftware.sf.server.types.FolderPath folderPath,
                                                  com.vasoftware.sf.server.types.PluggableLinkType pluggableLinkType,
                                                  com.vasoftware.sf.server.types.UserSessionKey sessionKey,
                                                  Object returnValue)

      Prepare a simulated response to availablePermissions
      See Also:
        `RbacAppSoap.availablePermissions(java.lang.String, java.util.List, com.vasoftware.sf.server.types.ProjectPath, com.vasoftware.sf.server.types.FolderPath, com.vasoftware.sf.server.types.PluggableLinkType, com.vasoftware.sf.server.types.UserSessionKey)`

    - #### availablePermissions

          public List availablePermissions(String plugId,
                                           List permissions,
                                           com.vasoftware.sf.server.types.ProjectPath projectPath,
                                           com.vasoftware.sf.server.types.FolderPath folderPath,
                                           com.vasoftware.sf.server.types.PluggableLinkType pluggableLinkType,
                                           com.vasoftware.sf.server.types.UserSessionKey sessionKey)
                                    throws RemoteException

      Simulate a call to availablePermissions
      Throws:
        `RemoteException`
      See Also:
        `RbacAppSoap.availablePermissions(java.lang.String, java.util.List, com.vasoftware.sf.server.types.ProjectPath, com.vasoftware.sf.server.types.FolderPath, com.vasoftware.sf.server.types.PluggableLinkType, com.vasoftware.sf.server.types.UserSessionKey)`

    - #### prepareFindProjectPath

          public void prepareFindProjectPath(String projectId,
                                             String loggedInUser,
                                             Object returnValue)

      Prepare a simulated response to findProjectPath
      See Also:
        `RbacAppSoap.findProjectPath(java.lang.String, java.lang.String)`

    - #### findProjectPath

          public com.vasoftware.sf.server.types.ProjectPath findProjectPath(String projectId,
                                                                            String loggedInUser)
                                                                     throws RemoteException

      Simulate a call to findProjectPath
      Throws:
        `RemoteException`
      See Also:
        `RbacAppSoap.findProjectPath(java.lang.String, java.lang.String)`

    - #### prepareFindLinkId

          public void prepareFindLinkId(String projectId,
                                        String plugId,
                                        com.vasoftware.sf.server.types.UserSessionKey sessionKey,
                                        Object returnValue)

      Prepare a simulated response to findLinkId
      See Also:
        `RbacAppSoap.findLinkId(java.lang.String, java.lang.String, com.vasoftware.sf.server.types.UserSessionKey)`

    - #### findLinkId

          public String findLinkId(String projectId,
                                   String plugId,
                                   com.vasoftware.sf.server.types.UserSessionKey sessionKey)
                            throws RemoteException

      Simulate a call to findLinkId
      Throws:
        `RemoteException`
      See Also:
        `RbacAppSoap.findLinkId(java.lang.String, java.lang.String, com.vasoftware.sf.server.types.UserSessionKey)`

Copyright © 2019 CollabNet. All rights reserved.